# MaterialPhysics(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MaterialPhysics`(bpy_struct)

  Physics settings for a Material data-block

  `elasticity`

    Elasticity of collisions

    Type: | float in [0, 1], default 0.0

  `fh_damping`

    Damping of the spring force, when inside the physics distance area

    Type: | float in [0, 1], default 0.0

  `fh_distance`

    Distance of the physics area

    Type: | float in [0, 20], default 0.0

  `fh_force`

    Upward spring force, when inside the physics distance area

    Type: | float in [0, 1], default 0.0

  `friction`

    Coulomb friction coefficient, when inside the physics distance area

    Type: | float in [0, 100], default 0.0

  `use_fh_normal`

    Align dynamic game objects along the surface normal, when inside the physics distance area

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Material.physics` |